KWizard Class Reference

`#include <kwizard.h>`

Inherits QWizard.

## Public Member Functions

| KWizard (QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0)
| ~KWizard ()

## Detailed Description

General-purpose multi-page dialog.

KWizard is a class for a multi-page dialog. The user can navigate trough the pages with "Next" and "Back" buttons and is optionally offered "Finish", "Cancel" and "Help" buttons. A wizard comes in handy for tutorials or configuration dialogs with sequential steps.

KWizard is just a wrapper for Qt's QWizard class. See the QWizard documentation for a detailed description of available functions. The only added functionality is a KDE conformant translation mechanism for the built-in buttons.

Author
  Harri Porten porte.nosp@m.n@kd.nosp@m.e.org

Version
  0.3

Definition at line 46 of file kwizard.h.

## Constructor & Destructor Documentation

KWizard::KWizard | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `false`,
|  | WFlags | f = `0`
| ) |  |

Constructor.

Definition at line 31 of file kwizard.cpp.

KWizard::~KWizard | ( |  | ) |

inline

Destructor.

Definition at line 57 of file kwizard.h.

The documentation for this class was generated from the following files:

- kwizard.h
- kwizard.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys